EC_NODE_SUBSET(3)

NAME
ec_node_subset - Create an empty subset node.

SYNOPSIS
#include <ecoli/node_subset.h>

struct ec_node * ec_node_subset(
    const char   *id   /* The node identifier. */
);

DESCRIPTION

Use ec_node_subset_add() to add children.

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_subset_set_min(3), ec_node_subset_min(3), ec_node_subset_get_min(3), ec_node_subset_add(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.